#!/bin/sh

SRC_DIR=./data/
DEST_DIR=$1
BACKUP_DIR=$2

echo SRC_DIR $SRC_DIR DEST_DIR $DEST_DIR BACKUP_DIR $BACKUP_DIR

for LINE in `cat ../updatefiles.txt | sed -e 's/\\\/\//g'`
do
	echo "line is $LINE"
	TYPE=`echo $LINE | cut -d, -f1`
	echo "Type is $TYPE"
	FILE=`echo $LINE | cut -d, -f2`
        echo "File is $FILE"
	DIR=`echo $LINE | cut -d, -f3`
        echo "Dir is $DIR"
	case "$TYPE" in 
	"dir")
		echo "seems to be a directory" ;
		if [ -d $DEST_DIR/$FILE ]; then
			`rm -rf $DEST_DIR/$DIR`;
		else
			echo "can't updated dir $DEST_DIR/$FILE to clean";
		fi;
		if [ -d $BACKUP_DIR/$FILE ]; then
                        `cp -rp $BACKUP_DIR/$FILE $DEST_DIR/$DIR`
		else
			echo "can't find backup dir $BACKUP_DIR/$FILE for rollback";
                fi;
		echo "done case";;
	"file")	
		echo "seems to be a regular file" ;
		if [ -f $DEST_DIR/$FILE ]; then
                        `cp -p $BACKUP_DIR/$FILE $DEST_DIR/$DIR`
                else
                        echo "can't updated file $DEST_DIR/$FILE to clean";
                fi;
		if [ -f $SRC_DIR/$FILE ]; then
                        `mkdir -p $DEST_DIR/$DIR`
                        `cp -p $BACKUP_DIR/$FILE $DEST_DIR/$DIR`
                else
                        echo "can't find backup $SRC_DIR/$FILE for rollback";
                fi;
		echo "done case";;
	esac
done

exit 0

